Skip to main content
GET

Notes

  • Public endpoint for agent discovery. No authentication is required.
  • Returns HTTP 200 with the body of the most recent pending gate for the domain, in the same shape as Create Gate.
  • Returns HTTP 404 when the domain has no pending gate.
  • Use it to read a site’s price without requesting a page from the site first.

Path Parameters

domain
string
required

Response

Successful Response

accepts
PaymentRequirements · object[]
required
gate_id
string<uuid>
required
price_usd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
seller_wallet
string
required
network
string
required
facilitators
FacilitatorOption · object[]
required
verify_url
string
required
expires
string<date-time>
required
x402Version
integer
default:1
error
string | null
xenarch
boolean
default:true
asset
string
default:USDC
protocol
string
default:x402